switcher:
  prefix: /switcher
  resource: '@AutoAdminBundle/Admin/Controller/Admin/LocaleSwitcherController.php'
  type: annotation

dashboard:
  prefix: /dashboard
  resource: '@AutoAdminBundle/Admin/Controller/Admin/DashboardController.php'
  type: annotation

administrator:
  prefix: /administrator
  resource: '@AutoAdminBundle/Admin/Controller/Admin/AdministratorController.php'
  type: annotation

security:
  resource: '@AutoAdminBundle/Admin/Controller/Security/SecurityController.php'
  type: annotation

resetting:
  resource: '@AutoAdminBundle/Admin/Controller/Resetting/ResettingController.php'
  type: annotation

aa_admin_chart:
  path: /chart
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\ChartController::init
  methods: POST

aa_admin_ga_chart:
  path: /chart/ga/{type}
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\ChartController::gaStats
  methods: POST

aa_admin_content_reference_init:
  path: /content-reference/init
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\ContentReferenceController::init

aa_admin_content_reference_search:
  path: /content-reference/search
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\ContentReferenceController::search

# entity controller routes
aa_admin_entity:
  path: /entity/{entitySlug}/{action}/{page}
  defaults:
    page: 1
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\EntityController::list
# forward route
aa_admin_controller:
  path: /controller/{controller}/{method}
  controller: AutoAdmin\Bundle\Admin\Controller\Admin\EntityController::default